/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for AD_RecentItems
 *  @author Jorg Janke (generated) 
 *  @version Release 2.6.4 - $Id: X_AD_RecentItems.java,v 1.1 2008/01/16 07:34:29 jrmt Exp $ */
public class X_AD_RecentItems extends PO
{
/** Standard Constructor
@param ctx context
@param AD_RecentItems_ID id
@param trxName transaction
*/
public X_AD_RecentItems (Ctx ctx, int AD_RecentItems_ID, String trxName)
{
super (ctx, AD_RecentItems_ID, trxName);
/** if (AD_RecentItems_ID == 0)
{
setAD_Role_ID (0);
setAD_Window_ID (0);
setRecord_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_AD_RecentItems (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27470626274789L;
/** Last Updated Timestamp 2007-08-30 12:09:18.0 */
public static final long updatedMS = 1188500958000L;
/** AD_Table_ID=983 */
public static final int Table_ID=983;

/** TableName=AD_RecentItems */
public static final String Table_Name="AD_RecentItems";

protected static KeyNamePair Model = new KeyNamePair(983,"AD_RecentItems");

protected BigDecimal accessLevel = new BigDecimal(4);
/** AccessLevel
@return 4 - System 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_AD_RecentItems[").append(get_ID()).append("]");
return sb.toString();
}
/** Set Role.
@param AD_Role_ID Responsibility Role */
public void setAD_Role_ID (int AD_Role_ID)
{
if (AD_Role_ID < 0) throw new IllegalArgumentException ("AD_Role_ID is mandatory.");
set_Value ("AD_Role_ID", new Integer(AD_Role_ID));
if (p_changeVO != null) p_changeVO.addChangedValue("AD_Role_ID",AD_Role_ID);
}
/** Set String: Role */
protected void set_AD_Role_ID( String p_AD_Role_ID)
{
	setAD_Role_ID(convertToInt(p_AD_Role_ID));
}
/** Get Role.
@return Responsibility Role */
public int getAD_Role_ID() 
{
Integer ii = (Integer)get_Value("AD_Role_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set User/Contact.
@param AD_User_ID User within the system - Internal or Business Partner Contact */
public void setAD_User_ID (int AD_User_ID)
{
if (AD_User_ID <= 0) set_Value ("AD_User_ID", null);
 else 
set_Value ("AD_User_ID", new Integer(AD_User_ID));
if (p_changeVO != null) p_changeVO.addChangedValue("AD_User_ID",AD_User_ID);
}
/** Set String: User/Contact */
protected void set_AD_User_ID( String p_AD_User_ID)
{
	setAD_User_ID(convertToInt(p_AD_User_ID));
}
/** Get User/Contact.
@return User within the system - Internal or Business Partner Contact */
public int getAD_User_ID() 
{
Integer ii = (Integer)get_Value("AD_User_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Window.
@param AD_Window_ID Data entry or display window */
public void setAD_Window_ID (int AD_Window_ID)
{
if (AD_Window_ID < 1) throw new IllegalArgumentException ("AD_Window_ID is mandatory.");
set_Value ("AD_Window_ID", new Integer(AD_Window_ID));
if (p_changeVO != null) p_changeVO.addChangedValue("AD_Window_ID",AD_Window_ID);
}
/** Set String: Window */
protected void set_AD_Window_ID( String p_AD_Window_ID)
{
	setAD_Window_ID(convertToInt(p_AD_Window_ID));
}
/** Get Window.
@return Data entry or display window */
public int getAD_Window_ID() 
{
Integer ii = (Integer)get_Value("AD_Window_ID");
if (ii == null) return 0;
return ii.intValue();
}
/** Set Record ID.
@param Record_ID Direct internal record ID */
public void setRecord_ID (int Record_ID)
{
if (Record_ID < 0) throw new IllegalArgumentException ("Record_ID is mandatory.");
set_Value ("Record_ID", new Integer(Record_ID));
if (p_changeVO != null) p_changeVO.addChangedValue("Record_ID",Record_ID);
}
/** Set String: Record ID */
protected void set_Record_ID( String p_Record_ID)
{
	setRecord_ID(convertToInt(p_Record_ID));
}
/** Get Record ID.
@return Direct internal record ID */
public int getRecord_ID() 
{
Integer ii = (Integer)get_Value("Record_ID");
if (ii == null) return 0;
return ii.intValue();
}
}
